document.addEventListener('DOMContentLoaded', function() {
  const buttons = document.querySelectorAll('.primary-button, .cta-button');
  buttons.forEach(button => {
    button.addEventListener('mouseover', function() {
      this.style.transform = 'scale(1.1)';
    });
    button.addEventListener('mouseout', function() {
      this.style.transform = 'scale(1)';
    });
  });

  const form = document.querySelector('.contact-form');
  form.addEventListener('submit', function(event) {
    event.preventDefault();
    alert('Thank you for your message!');
    form.reset();
  });
});